Fiscal Harmony API
  1. Tax Mappings
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
        GET
      • Add Tax Mapping
        POST
      • Get Specific Tax Mapping
        GET
      • Update Tax Mapping
        PUT
      • Delete Tax Mapping
        DELETE
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Tax Mappings

Update Tax Mapping

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
PUT
/taxmapping/{id}
Last modified:2026-02-27 08:50:24
Edits an existing tax mapping. Submits a TaxMapping with its Id and UserId. The TaxName is not required.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Returns a boolean to confirm if if has been successful.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://mock.apidog.com/m1/1209598-0-default/taxmapping/' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1' \
--header 'Content-Type: application/json' \
--data-raw '{
  "Id": 4,
  "UserId": 2,
  "TaxCode": "155",
  "TaxName": "New VAT (15.5%)",
  "DestinationTaxId": 3
}'
Response Response Example
true
Modified at 2026-02-27 08:50:24
Previous
Get Specific Tax Mapping
Next
Delete Tax Mapping
Built with